Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.media.imageio.plugins.tiff
Class TIFFTagSet

    java.lang.Object
      |
      +--com.sun.media.imageio.plugins.tiff.TIFFTagSet

Direct Known Subclasses:
  BaselineTIFFTagSet, EXIFParentTIFFTagSet, EXIFTIFFTagSet, FaxTIFFTagSet, GeoTIFFTagSet

public class TIFFTagSet
extends Object

A class representing a set of TIFF tags. Each tag in the set must have a unique number (this is a limitation of the TIFF specification itself).

This class and its subclasses are responsible for mapping between raw tag numbers and `TIFFTag` objects, which contain additional information about each tag, such as the tag's name, legal data types, and mnemonic names for some or all of ts data values.

See Also:
  `TIFFTag`

Constructor Summary
`TIFFTagSet(List tags)` Constructs a `TIFFTagSet`, given a `List` of `TIFFTag` objects.

Method Summary
`TIFFTag` | `getTag(int tagNumber)` Returns the `TIFFTag` from this set that is associated with the given tag number, or `null` if no tag exists for that number.
`TIFFTag` | `getTag(String tagName)` Returns the `TIFFTag` having the given tag name, or `null` if the named tag does not belong to this tag set.
`SortedSet` | `getTagNames()` Retrieves an unmodifiable lexicographically increasing set of tag names.
`SortedSet` | `getTagNumbers()` Retrieves an unmodifiable numerically increasing set of tag numbers.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TIFFTagSet

    public TIFFTagSet(List tags)

  Constructs a `TIFFTagSet`, given a `List` of `TIFFTag` objects.

Parameters:
  `tags` - a `List` object containing `TIFFTag` objects to be added to this tag set.
Throws:
  `IllegalArgumentException` - if `tags` is `null`, or contains objects that are not instances of the `TIFFTag` class.

Method Detail

### getTag

    public TIFFTag getTag(int tagNumber)

  Returns the `TIFFTag` from this set that is associated with the given tag number, or `null` if no tag exists for that number.

  Parameters:
    `tagNumber` - the number of the tag to be retrieved.
  Returns:
    the numbered `TIFFTag`, or `null`.

### getTag

    public TIFFTag getTag(String tagName)

  Returns the `TIFFTag` having the given tag name, or `null` if the named tag does not belong to this tag set.

  Parameters:
    `tagName` - the name of the tag to be retrieved, as a `String`.
  Returns:
    the named `TIFFTag`, or `null`.
  Throws:
    `IllegalArgumentException` - if `tagName` is `null`.

### getTagNumbers

    public SortedSet getTagNumbers()

  Retrieves an unmodifiable numerically increasing set of tag numbers.

  The returned object is unmodifiable and contains the tag numbers of all `TIFFTag`s in this `TIFFTagSet` sorted into ascending order according to `Integer#compareTo(Object)`.

  Returns:
    All tag numbers in this set.

### getTagNames

    public SortedSet getTagNames()

  Retrieves an unmodifiable lexicographically increasing set of tag names.

  The returned object is unmodifiable and contains the tag names of all `TIFFTag`s in this `TIFFTagSet` sorted into ascending order according to `String#compareTo(Object)`.

  Returns:
    All tag names in this set.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD